
@font-face {
  font-family: 'DMSans_36pt';
  src: url('/DMSans_36pt-Regular.ttf') format('truetype');
}

@font-face {
  font-family: 'PlayfairDisplay-Black';
  src: url('/PlayfairDisplay-Black.ttf') format('truetype');
}


@font-face {
  font-family: 'PlayfairDisplay-Regular';
  src: url('/PlayfairDisplay-Regular.ttf') format('truetype');
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  line-height: 1.5;
   color: #212529;
  font-family: 'DMSans_36pt', sans-serif, "Helvetica Neue", Helvetica, Arial, sans-serif;
}

a {
  color: #131a2c;
  text-decoration: none;
  transition: color 0.3s ease-in-out;
}

p {
  font-size: 18px;
  line-height: 1.46;
  letter-spacing: 0.5px;
  color: #1c1c1e;
  letter-spacing: 0.5px;
}
hr {
  border: solid 0.5px #e6e6e6;
}
ul {
  list-style: none;
}
label {
  font-size: 16px;
  font-weight: 300;
}

.tooltip {
  position: absolute;
  top: 60px;
  background-color: white;
  border-radius: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  padding: 10px;
  display: none;
}

.tooltip a {
  display: block;
  text-decoration: none;
  padding: 10px;
  border-radius: 10px;
  font-weight: 300;
}

.tooltip a:hover {
  background-color: #f3f3f6;
}

.tooltip.active {
  display: block;
}




table {
  background-color: #f7f7ff;
  border-collapse: separate;
  border-spacing: 0; 
  width: 100%;
  margin-bottom: 20px;
  margin-top: 20px;
  border-radius: 10px;
  border: solid 0.5px #e6e6e6;
  overflow: hidden; 
}

table tr th,
table tr td {
  padding: 0.625rem;
  border: none;
}

table tr th {
  text-align: left;
  background-color: #e9e9f6;
}

table tr:first-child th:first-child {
  border-top-left-radius: 10px;
}

table tr:first-child th:last-child {
  border-top-right-radius: 10px;
}

table tr:nth-child(odd) {
  background-color: #ffffff;
}

table tr:nth-child(even) {
  background-color: #f7f7ff;
}


table .example__original {
    font-weight: 300;
}
table .example__translation {
    font-weight: 300;
}







.side-container {
  position: absolute;
  right: calc(50% + 430px);
  top: 0;
  width: 260px;
  height: fit-content;
  z-index: 10;
  /*background-color: #fafafa;*/
  padding: 20px;
  border-radius: 20px;
  /*border: solid 0.5px #e4e4e4;*/
display: none;

}

.toc-container {
  margin: auto;

  max-height: calc(85vh - 100px);
  overflow-y: auto;
  overscroll-behavior: contain;

}

.toc-container::-webkit-scrollbar {
  width: 8px;
}

.toc-container::-webkit-scrollbar-thumb {
  background-color: #dce1e7;
  cursor: ns-resize;
  border-radius: 50px;
}

.toc-container::-webkit-scrollbar-thumb:hover {
  background-color: #d4d9de;
}

.toc-container::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 50px;
}

.toc-container {
  scrollbar-width: thin;
  scrollbar-color: #dce1e7 #fefefe;
}


.toc-title {
  font-size: 23px;
  margin-bottom: 10px;
  padding-bottom: 0.2rem;
  font-weight: 900;
  font-family: "Playfair Display", serif;
}

.toc-list {
  list-style: none;
  padding: 0;
  margin: 0;
}

.toc-item {
  margin: 0.5rem 0;
}

.toc-item--main a {
  font-size: 14px;
  font-weight: 600;
  text-decoration: none;
}

.toc-item--sub {
  margin-left: 5px;
  font-weight: 300;
  font-size: 13px;
}

.language-list {
  width: 250px;
  margin-top: 10px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2px;
  padding: 5px;
  border-radius: 25px;
  margin-right: 20px;
}

.language-list__item {
  display: flex;

}

.language-list__image {
  height: 3.3rem;
  width: 3.3rem;
  border-radius: 100%;
  object-fit: cover;
  padding: 10px;
}

.language-list__item a {
  margin-top: 15px;
  font-size: 14px;

}

.language-list-title {
  font-size: 21px;
}


